import { CreateWorkspaceOptions } from 'create-nx-workspace';
import { PackageManager } from 'create-nx-workspace/src/utils/package-manager';
/**
 * Create a new Nx workspace
 * @param tmpDir temporary directory to invoke nx cli
 * @param name name of new nx workspace
 * @param packageManager current package manager
 * @param options options to pass to nx cli
 * @returns
 */
export declare function customCreateEmptyWorkspace<T extends CreateWorkspaceOptions>(tmpDir: string, name: string, packageManager: PackageManager, options: T): Promise<string>;
