"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPresets = void 0;
function getPresets(version) {
    const presets = [
        {
            label: 'Next.js',
            value: 'next',
            package: '@solana-developers/preset-next',
            version,
        },
        {
            label: 'React + React Router DOM',
            value: 'react',
            package: '@solana-developers/preset-react',
            version,
        },
    ];
    return {
        presets,
        presetValues: presets.map((preset) => preset.value),
    };
}
exports.getPresets = getPresets;
//# sourceMappingURL=get-presets.js.map