import { AnchorTemplate } from './get-anchor-templates';
import { GetArgsResult } from './get-args-result';
import { Preset } from './get-presets';
export declare function getPrompts({ anchorTemplates, options, presets, }: {
    anchorTemplates: AnchorTemplate[];
    options: GetArgsResult;
    presets: Preset[];
}): Promise<{
    name: string;
    preset: string;
    ui: unknown;
    anchor: string;
    anchorProgram: unknown;
}>;
export declare function getUiLibraries(preset: 'next' | 'react'): {
    label: string;
    value: string;
}[];
